Send message to conversation
curl --request POST \
--url https://api.conduit.ai/v1/conversations/{id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Hi there, can you confirm check-in time?",
"attachments": [
{
"attachment_id": "kg2a8d8w8zv1m9q9f9h7e3b2n97j6x2c",
"name": "failed-contacts.csv",
"content_type": "text/csv",
"content_length": 18432
}
]
}
'{
"data": {
"id": "yh7t5azsr0zpfpyf67vtce0j6n844y1e",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"conversation_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"ticket_id": null,
"channel": "unthreaded_email",
"status": "sent"
}
}Conversations
Send Conversation Message
Send a new message within an existing conversation.
POST
/
v1
/
conversations
/
{id}
/
messages
Send message to conversation
curl --request POST \
--url https://api.conduit.ai/v1/conversations/{id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Hi there, can you confirm check-in time?",
"attachments": [
{
"attachment_id": "kg2a8d8w8zv1m9q9f9h7e3b2n97j6x2c",
"name": "failed-contacts.csv",
"content_type": "text/csv",
"content_length": 18432
}
]
}
'{
"data": {
"id": "yh7t5azsr0zpfpyf67vtce0j6n844y1e",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"conversation_id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
"ticket_id": null,
"channel": "unthreaded_email",
"status": "sent"
}
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Canonical conversation id.
Example:
"ph77c0dy0mgdpzmqz6tesry8w184002s"
Query Parameters
Optional workspace override. If omitted, Conduit resolves the conversation's workspace automatically.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Body
application/json
Request body for sending a message into an existing thread.
Minimum string length:
1Response
Conversation message sent
Result returned after a message is accepted for delivery.
Show child attributes
Show child attributes
Was this page helpful?
⌘I